Bug 437321 - Review Request: libarchive - A library for handling streaming archive formats
Review Request: libarchive - A library for handling streaming archive formats
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 11:25 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 05:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2008-03-13 11:25:27 EDT
Spec URL: http://tbzatek.fedorapeople.org/libarchive/libarchive.spec
SRPM URL: http://tbzatek.fedorapeople.org/libarchive/libarchive-2.4.13-1.fc9.src.rpm

Description: 
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants, several cpio
formats, and both BSD and GNU ar variants. It can also write shar archives and
read ISO9660 CDROM images and ZIP archives.
Comment 1 Matthias Clasen 2008-03-14 19:43:35 EDT
rpmlint says:

libarchive.i386: W: no-documentation

and it is right, COPYING, README and NEWS should go into %doc
Comment 2 Matthias Clasen 2008-03-14 21:10:51 EDT
rpmlint: has been run, see above
package name: ok
spec file name: ok
packaging guidelines: met
license: ok
license field: ok
license file: must be included, see above
spec file language: ok
spec file clarity: very clear
source: ok
builds: yes
excludearch: n/a
buildrequires: ok
locale handling: n/a
shared libs: ok
relocatable: n/a
directory ownership: ok
%file: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc: ok, but missing some files, see above
headers: ok
static libs: n/a
pkgconfig files: n/a
shared libs: ok
devel package: ok
libtool archives: ok
gui apps: n/a
file ownership: ok
%install: ok
utf-8 filenames: ok


Summary: include the missing %doc files, and the package is ready to go
Comment 3 Tomáš Bžatek 2008-03-18 06:35:57 EDT
Uploaded new spec and srpm:
Spec URL: http://tbzatek.fedorapeople.org/libarchive/libarchive.spec
SRPM URL: http://tbzatek.fedorapeople.org/libarchive/libarchive-2.4.14-1.fc9.src.rpm

- docs are now included
- rebased to 2.4.14

rpmlint now reports no error, please check
Comment 4 Matthias Clasen 2008-03-18 08:41:36 EDT
Looks fine now. Approved.
Comment 5 Tomáš Bžatek 2008-03-18 09:15:50 EDT
New Package CVS Request
=======================
Package Name: libarchive
Short Description: A library for handling streaming archive formats
Owners: tbzatek
Branches: devel
InitialCC: tbzatek
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-03-18 13:26:25 EDT
cvs done.
Comment 7 Tomáš Bžatek 2008-03-19 05:29:10 EDT
Thanks! Successfully built for dist-f9.
Closing.
Comment 8 Terje Røsten 2009-02-27 13:40:56 EST
Why is --disable-bsdtar used? bsdtar has some nice features.

I can help creating the bsdtar subpackage if you want.
Comment 9 Tomáš Bžatek 2011-02-22 09:20:22 EST
Package Change Request
======================
Package Name: libarchive
New Branches: el5
Owners: tbzatek
InitialCC: devos
Comment 10 Jason Tibbitts 2011-02-22 12:10:14 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.